## agda 2.3.0

=== debian/changelog ===
agda (2.3.0-1) unstable; urgency=low

  * [c0e4746] Imported Upstream version 2.3.0. New/changed features include:
    + New more liberal syntax for mutually recursive definitions
    + Pattern matching on lambdas
    + New syntax for updating (some fields of) records
    + Universe polymorphism is now enabled by default
    + New type of hidden function argument: instance arguments
    + Dependent irrelevant function types and records with irrelevant fields
    + See http://wiki.portal.chalmers.se/agda/pmwiki.php?n=Main.Version-2-3-0
      for a full list
  * [369ed3a] Update BDs in line with cabal requirements in new upstream
  * [3798aee] Remove all patches. They are all now upstream.

 -- Iain Lane <laney@debian.org>  Wed, 23 Nov 2011 10:12:59 +0000
