## agda 2.3.0.1

=== debian/changelog ===
agda (2.3.0.1-2) unstable; urgency=low

  * New patch: Extend mtl dependency 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 25 May 2012 22:58:34 +0200

agda (2.3.0.1-1) unstable; urgency=low

  * New upstream release, GHC-7.4.1 compatible (Closes: #663048) 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 12 Mar 2012 14:12:34 +0100
