=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
                haskell-devscripts (>= 0.8),
                cdbs (>> 0.4.58),
                ghc,
-               libghc-binary-dev (>= 0.4.4),
-               libghc-binary-dev (<< 0.6),
+               libghc-binary-dev,
                libghc-hashable-dev (>= 1.1),
                libghc-hashable-dev (<< 1.2),
                libghc-hashtables-dev (>= 1.0),
@@ -18,7 +17,7 @@
                libghc-haskell-src-dev (>= 1.0.1.1),
                libghc-haskell-src-dev (<< 2),
                libghc-mtl-dev (>= 2.0),
-               libghc-mtl-dev (<< 3),
+               libghc-mtl-dev (<< 3.2),
                libghc-xhtml-dev (>= 3000.2),
                libghc-xhtml-dev (<< 3000.3),
                libghc-zlib-dev (>= 0.4.0.1),
@@ -34,29 +33,18 @@
                alex (>= 2.3.1),
                libncurses5-dev
 Build-Depends-Indep: ghc-doc,
-                     libghc-binary-doc (>= 0.4.4),
-                     libghc-binary-doc (<< 0.6),
-                     libghc-hashable-doc (>= 1.1),
-                     libghc-hashable-doc (<< 1.2),
-                     libghc-hashtables-doc (>= 1.0),
-                     libghc-hashtables-doc (<< 1.1),
-                     libghc-haskeline-doc (>= 0.3),
-                     libghc-haskeline-doc (<< 0.7),
-                     libghc-haskell-src-doc (>= 1.0.1.1),
-                     libghc-haskell-src-doc (<< 2),
-                     libghc-mtl-doc (>= 2.0),
-                     libghc-mtl-doc (<< 3),
+                     libghc-binary-doc,
+                     libghc-hashable-doc,
+                     libghc-hashtables-doc,
+                     libghc-haskeline-doc,
+                     libghc-haskell-src-doc,
+                     libghc-mtl-doc,
                      libghc-terminfo-doc,
-                     libghc-xhtml-doc (>= 3000.2),
-                     libghc-xhtml-doc (<< 3000.3),
-                     libghc-zlib-doc (>= 0.4.0.1),
-                     libghc-zlib-doc (<< 0.6),
-                     libghc-src-exts-doc (>= 1.9.6),
-                     libghc-src-exts-doc (<< 1.12),
-                     libghc-quickcheck2-doc (>= 2.3),
-                     libghc-quickcheck2-doc (<< 2.5),
-                     libghc-syb-doc (>= 0.1),
-                     libghc-syb-doc (<< 0.4),
+                     libghc-xhtml-doc,
+                     libghc-zlib-doc,
+                     libghc-src-exts-doc, 
+                     libghc-quickcheck2-doc,
+                     libghc-syb-doc,
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=pkg-haskell/agda.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-haskell/agda.git
