## agda 2.3.2

=== debian/changelog ===
agda (2.3.2-1) experimental; urgency=low

  [ Kiwamu Okabe ]
  * New patch: Extend haskell-src-exts dependency and fix type miss.

  [ Iain Lane ]
  * [dfbca48] Imported Upstream version 2.3.2
  * [7746bcc] Remove all patches — all upstream.
  * [2cdb691] Update build-deps to match control file
  * [868ebf4] agda-mode no longer depends on haskell-mode or GHCi.
    Remove dependency and update .el file accordingly
  * [9e0ba22] Add agda-bin package here, as the separate package has been
    removed
  * [75a240f] agda-mode needs to depend on agda-bin
  * [d290f95] Allow Quickcheck up to 2.7. Fix haskeline build-dep.
  * [79190e6] Add missing geniplate and parallel BDs

 -- Iain Lane <laney@debian.org>  Wed, 10 Apr 2013 11:46:43 +0100
