=== debian/control ===
--- 
+++ 
@@ -2,30 +2,35 @@
 Priority: extra
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>= 7.0),
-               haskell-devscripts (>= 0.8),
+               haskell-devscripts (>= 0.8.13~),
                cdbs (>> 0.4.58),
-               ghc,
+               ghc (>= 7.6),
                libghc-binary-dev,
+               libghc-geniplate-dev (>= 0.6.0.3),
+               libghc-geniplate-dev (<< 0.7),
                libghc-hashable-dev (>= 1.1),
                libghc-hashable-dev (<< 1.2),
                libghc-hashtables-dev (>= 1.0),
                libghc-hashtables-dev (<< 1.1),
                libghc-haskeline-dev (>= 0.3),
-               libghc-haskeline-dev (<< 0.7),
+               libghc-haskeline-dev (<< 0.8),
                libghc-haskell-src-dev (>= 1.0.1.1),
                libghc-haskell-src-dev (<< 2),
                libghc-mtl-dev (>= 2.0),
                libghc-mtl-dev (<< 3.2),
+               libghc-parallel-dev (<< 3.3),
+               libghc-unordered-containers-dev (>= 0.2),
+               libghc-unordered-containers-dev (<< 0.3),
                libghc-xhtml-dev (>= 3000.2),
                libghc-xhtml-dev (<< 3000.3),
                libghc-zlib-dev (>= 0.4.0.1),
                libghc-zlib-dev (<< 0.6),
                libghc-src-exts-dev (>= 1.9.6),
-               libghc-src-exts-dev (<< 1.12),
+               libghc-src-exts-dev (<< 1.14),
                libghc-quickcheck2-dev (>= 2.3),
-               libghc-quickcheck2-dev (<< 2.5),
+               libghc-quickcheck2-dev (<< 2.7),
                libghc-syb-dev (>= 0.1),
                libghc-syb-dev (<< 0.4),
                happy (>= 1.15),
@@ -34,21 +39,25 @@
                libncurses5-dev
 Build-Depends-Indep: ghc-doc,
                      libghc-binary-doc,
+                     libghc-geniplate-doc,
                      libghc-hashable-doc,
                      libghc-hashtables-doc,
                      libghc-haskeline-doc,
                      libghc-haskell-src-doc,
                      libghc-mtl-doc,
+                     libghc-parallel-doc,
                      libghc-terminfo-doc,
+                     libghc-unordered-containers-doc,
                      libghc-xhtml-doc,
                      libghc-zlib-doc,
                      libghc-src-exts-doc, 
                      libghc-quickcheck2-doc,
                      libghc-syb-doc,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=pkg-haskell/agda.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-haskell/agda.git
 Homepage: http://wiki.portal.chalmers.se/agda/
+DM-Upload-Allowed: yes
 
 Package: libghc-agda-dev
 Architecture: any
@@ -104,7 +113,8 @@
          ${haskell:Depends},
          ${misc:Depends},
          emacs | emacsen,
-         haskell-mode,
+         agda-bin (>= ${source:Version}),
+         agda-bin (<< ${source:Version}.1~),
          libghc-agda-dev (>= ${source:Version}),
          libghc-agda-dev (<< ${source:Version}.1~)
 Description: dependently typed functional programming language — emacs mode
@@ -129,8 +139,8 @@
 Section: misc
 Depends: ${misc:Depends},
          libghc-agda-dev,
+         agda-bin,
          agda-mode,
-         agda-bin,
          agda-stdlib,
          agda-stdlib-doc
 Description: dependently typed functional programming language
@@ -148,3 +158,27 @@
  .
  This is a meta package which provides Agda's emacs mode, executable, standard
  library and its documentation.
+
+Package: agda-bin
+Architecture: any
+Depends: ${shlibs:Depends}, ${haskell:Depends}, ${misc:Depends}
+Recommends: ${haskell:Recommends},
+            libghc-agda-dev (>= 2.3.2),
+            libghc-agda-dev (<< 2.3.2)
+Suggests: ${haskell:Suggests}, agda-mode
+Description: commandline interface to Agda
+ Agda is a dependently typed functional programming language: It has inductive
+ families, which are like Haskell's GADTs, but they can be indexed by values and
+ not just types. It also has parameterised modules, mixfix operators, Unicode
+ characters, and an interactive Emacs interface (the type checker can assist in
+ the development of your code).
+ .
+ Agda is also a proof assistant: It is an interactive system for writing and
+ checking proofs. Agda is based on intuitionistic type theory, a foundational
+ system for constructive mathematics developed by the Swedish logician Per
+ Martin-Löf. It has many similarities with other proof assistants based on
+ dependent types, such as Coq, Epigram and NuPRL.
+ .
+ This package provides a command-line program for type-checking and compiling
+ Agda programs. The program can also generate hyperlinked, highlighted HTML
+ files from Agda sources.
