## agda 2.3.2.1

=== debian/changelog ===
agda (2.3.2.1-1) unstable; urgency=low

  * [8cfbabf] Imported Upstream version 2.3.2.1
  * [74f34b0] Bump BD on mtl per .cabal file
  * [a3bff17] Drop Debian patches now obsoleted by this upstream release

 -- Iain Lane <laney@debian.org>  Sun, 16 Jun 2013 13:14:47 +0100

agda (2.3.2-4) unstable; urgency=low

  * [3d77fff] Build-Depend on ghc-ghci; we require this due to Template
    Haskell

 -- Iain Lane <laney@debian.org>  Wed, 12 Jun 2013 10:44:41 +0100

agda (2.3.2-3) unstable; urgency=low

  * Clean up build dependencies 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 May 2013 14:06:03 +0200

agda (2.3.2-2) unstable; urgency=low

  * Upload to unstable
  * [0faee65] Use compat 9
  * [02dba24] Standards Version → 3.9.4
  * [bd2a43f] Use common substvars for description blurbs.
  * [06ddb90] Remove obsolete DM-Upload-Allowed field

 -- Iain Lane <laney@debian.org>  Mon, 27 May 2013 19:13:14 +0100
