=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
-Build-Depends: debhelper (>= 7.0),
-               haskell-devscripts (>= 0.8.13~),
+Build-Depends: debhelper (>= 9),
+               haskell-devscripts (>= 0.8.15~),
                cdbs (>> 0.4.58),
                ghc (>= 7.6),
+               ghc-ghci,
                libghc-binary-dev,
                libghc-geniplate-dev (>= 0.6.0.3),
                libghc-geniplate-dev (<< 0.7),
-               libghc-hashable-dev (>= 1.1),
+               libghc-hashable-dev (>= 1.1.2.3),
                libghc-hashable-dev (<< 1.2),
                libghc-hashtables-dev (>= 1.0),
                libghc-hashtables-dev (<< 1.1),
-               libghc-haskeline-dev (>= 0.3),
+               libghc-haskeline-dev (>= 0.6.3.2),
                libghc-haskeline-dev (<< 0.8),
-               libghc-haskell-src-dev (>= 1.0.1.1),
-               libghc-haskell-src-dev (<< 2),
-               libghc-mtl-dev (>= 2.0),
-               libghc-mtl-dev (<< 3.2),
+               libghc-mtl-dev (>= 2.1.1),
+               libghc-mtl-dev (<< 2.2),
                libghc-parallel-dev (<< 3.3),
                libghc-unordered-containers-dev (>= 0.2),
                libghc-unordered-containers-dev (<< 0.3),
@@ -31,11 +30,12 @@
                libghc-src-exts-dev (<< 1.14),
                libghc-quickcheck2-dev (>= 2.3),
                libghc-quickcheck2-dev (<< 2.7),
-               libghc-syb-dev (>= 0.1),
-               libghc-syb-dev (<< 0.4),
+               libghc-text-dev (>= 0.11),
+               libghc-text-dev (<< 0.12),
                happy (>= 1.15),
                happy (<< 2),
                alex (>= 2.3.1),
+               alex (<< 3.1),
                libncurses5-dev
 Build-Depends-Indep: ghc-doc,
                      libghc-binary-doc,
@@ -43,21 +43,18 @@
                      libghc-hashable-doc,
                      libghc-hashtables-doc,
                      libghc-haskeline-doc,
-                     libghc-haskell-src-doc,
                      libghc-mtl-doc,
                      libghc-parallel-doc,
-                     libghc-terminfo-doc,
                      libghc-unordered-containers-doc,
                      libghc-xhtml-doc,
                      libghc-zlib-doc,
                      libghc-src-exts-doc, 
                      libghc-quickcheck2-doc,
-                     libghc-syb-doc,
-Standards-Version: 3.9.3
+                     libghc-text-doc,
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=pkg-haskell/agda.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-haskell/agda.git
 Homepage: http://wiki.portal.chalmers.se/agda/
-DM-Upload-Allowed: yes
 
 Package: libghc-agda-dev
 Architecture: any
@@ -67,7 +64,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: dependently typed functional programming language - development libraries
+Description: dependently typed functional programming language${haskell:ShortBlurb}
  Agda is a dependently typed functional programming language: It has inductive
  families, which are like Haskell's GADTs, but they can be indexed by values and
  not just types. It also has parameterised modules, mixfix operators, Unicode
@@ -80,7 +77,7 @@
  Martin-Löf. It has many similarities with other proof assistants based on
  dependent types, such as Coq, Epigram and NuPRL.
  .
- This package contains the normal library files.
+ ${haskell:Blurb}
 
 Package: libghc-agda-doc
 Architecture: all
@@ -91,7 +88,7 @@
 Replaces: haskell-agda-doc
 Conflicts: haskell-agda-doc (<< 2.2.6-5)
 Provides: haskell-agda-doc
-Description: dependently typed functional programming language - documentation
+Description: dependently typed functional programming language${haskell:ShortBlurb}
  Agda is a dependently typed functional programming language: It has inductive
  families, which are like Haskell's GADTs, but they can be indexed by values and
  not just types. It also has parameterised modules, mixfix operators, Unicode
@@ -104,7 +101,7 @@
  Martin-Löf. It has many similarities with other proof assistants based on
  dependent types, such as Coq, Epigram and NuPRL.
  .
- This package contains the documentation files.
+ ${haskell:Blurb}
 
 Package: agda-mode
 Architecture: all
